Subject: Re: bug#64270: 30.0.50; Font update for no toolkit menu

From: Po Lu <[email-masked]>
Date: Sun, 25 Jun 2023 08:36:57 +0800

Manuel Giraud <[email-masked]> writes:

> I thought that the font's XLFD string would be a good candidate to pass
> this information since it should be understood by XLoadQueryFont.  But
> unfortunately, the XLFD returned by font_unparse_xlfd are not.
>
> For instance, XLoadQueryFont can understand
> "-misc-fixed-medium-r-normal-*-22-*-*-*-*-*-*-*" but not
> "-misc-fixed-regular-r-normal-*-22-*-*-*-*-*-*-*".  Do you think I need
> a function to « normalize » the XLFD returned by font_unparse_xlfd?  Or
> maybe I'm missing something?

I don't understand why you're trying to ``normalize'' the second invalid
XLFD: RELATIVE_SETWIDTH can't be `regular'.